Bug 1753311 - [Docs] Customers must update the default created StorageClass after a cluster upgrade
Summary: [Docs] Customers must update the default created StorageClass after a cluster...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.0
Assignee: Christian Huffman
QA Contact: Chao Yang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-18 14:54 UTC by Christian Huffman
Modified: 2019-10-10 18:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-10 18:59:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Christian Huffman 2019-09-18 14:54:39 UTC
This is the documentation component of BZ1751641 - after an upgrade the StorageClass does not update the SC created by default. This issue must be addressed in the documentation.

Comment 1 Christian Huffman 2019-10-08 20:56:58 UTC
I don't believe this needs to be in the storage section of the product documentation. We document that the default SC is owned by the Operator, and this, to me, seems to be a bug in the behavior of the ClusterStorageOperator.

I've included a mention in the 4.2 release notes under the `Known issues` section. This is available for review at [1].

[1] https://github.com/openshift/openshift-docs/pull/17135

Comment 2 Chao Yang 2019-10-09 01:49:23 UTC
Agree that explaining this issue in the 4.2 release notes.

Comment 3 Christian Huffman 2019-10-10 18:59:14 UTC
Content has been merged, and will be in the OCP 4.2 release notes.


Note You need to log in before you can comment on or make changes to this bug.